summaryrefslogtreecommitdiffstats
path: root/tests/dimension/numeric.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2009-10-28 20:36:11 -0400
committerTavian Barnes <tavianator@gmail.com>2009-10-28 20:36:11 -0400
commitd79aa8e37baf159dab062999c0d0e84044fd3a4c (patch)
tree7b5b12e15fec4f5b8a38d47ad98f79e1a462fdba /tests/dimension/numeric.sh
parent6ae9c2de9347a7d9cff2f189050fe4cf0408573e (diff)
downloaddimension-d79aa8e37baf159dab062999c0d0e84044fd3a4c.tar.xz
Split tokenizer.sh into multiple tests.
Diffstat (limited to 'tests/dimension/numeric.sh')
-rwxr-xr-xtests/dimension/numeric.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/dimension/numeric.sh b/tests/dimension/numeric.sh
new file mode 100755
index 0000000..b64c218
--- /dev/null
+++ b/tests/dimension/numeric.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009 Tavian Barnes <tavianator@gmail.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+numeric=$(${top_builddir}/dimension/dimension --tokenize ${srcdir}/numeric.pov)
+numeric_exp='((int "1") (int "123456789") (int "01234567") (int "0x123456789") - (int "0x01") (float ".1") (float "0.1") (float "1.0") (float "0.123456789") - (float "0.123456789") < (int "1") , (float "2.2") , - (float "3.03") >)'
+
+if [ "$numeric" != "$numeric_exp" ]; then
+ echo "numeric.pov tokenized as \"$numeric\"" >&2
+ echo " -- expected \"$numeric_exp\"" >&2
+ exit 1
+fi